Function
stringToShape
Takes a shape given as a string of '1' (relevant position) and '0' (irrelevant position) and converts it into a Shape object.
stringToShape(shape, bitmap)
Parameters

shape | Shape object that is manipulated. Types: GenericShape, OneGappedShape, SimpleShape
bitmap | A character string of '1' and '0' representing relevant and irrelevant positions (blanks) respectively. Types: String Remarks: This string must begin with a '1'. Trailing '0's are ignored. If shape is a SimpleShape at most one contiguous sequences of 1s is allowed. If shape is a OneGappedShape at most two contiguous sequences of '1's are allowed.

Member of
OneGappedShape, Shape, GenericShape
See Also
shapeToString, reverse
SeqAn - Sequence Analysis Library - www.seqan.de

Page built @2014/10/13 16:12:59